/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.db;

public class PostLinkDecoderContext
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String signame;      // SIG name that's cached
  private String confname;     // conference name that's cached
  private short topic;         // topic that's cached

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public PostLinkDecoderContext(String signame, String confname, short topic)
  {
    this.signame = signame;
    this.confname = confname;
    this.topic = topic;

  } // end PostLinkDecoderContext

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public String getSIGName()
  {
    return signame;

  } // end getSIGName

  public String getConferenceName()
  {
    return confname;

  } // end getConferenceName

  public short getTopicNumber()
  {
    return topic;

  } // end getTopicNumber

} // end class PostLinkDecoderContext
