<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ManageConference data = ManageConference.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Managing conference #<%= data.getConfID() %> --><% } %>
<% rdat.writeContentHeader(out,"Manage Conference:",data.getConfName()); %>

<%= rdat.getStdFontTag(null,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("confdisp?" + data.getLocator()) %>">Return to Topic List</A>
</FONT><P>

<% if (rdat.useHTMLComments()) { %><!-- Set Default Pseud Form --><% } %>
<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("confops") %>">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getSIGID() %>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConfID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="P">
  <%= rdat.getStdFontTag(null,2) %>
    Set default pseud for conference: 
    <INPUT TYPE="TEXT" NAME="pseud" VALUE="<%= data.getDefaultPseud() %>" SIZE=37 MAXLENGTH=255>&nbsp;
    <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_set.gif") %>" NAME="set" ALT="Set"
     WIDTH=80 ALIGN=BOTTOM HEIGHT=24 BORDER=0>
  </FONT>
</FORM><P>

<% if (rdat.useHTMLComments()) { %><!-- Fixseen Link --><% } %>
<%= rdat.getStdFontTag(null,2) %><B>
  <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=FX") %>">Mark
  entire conference as read (fixseen)</A>
</B></FONT><P>

<% if (data.displayAdminSection()) { %>
  <% if (rdat.useHTMLComments()) { %><!-- Host Tools Section --><% } %>
  <% rdat.writeContentHeader(out,"Host Tools",null); %>
  <%= rdat.getStdFontTag(null,2) %><B>
    <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=E") %>">Change
        Conference Information</A><P>
    <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=A") %>">Manage
        Conference Aliases</A><P>
    <A HREF="TODO">Manage Conference Members</A><P>
    <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=RP") %>">Conference
        Posters Report</A><P>
    <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=RR") %>">Conference
        Readers/Lurkers Report</A><P>
    <A HREF="TODO">Delete Conference</A><P>
  </B></FONT>
<% } // end if (displaying admin section) %>

<% rdat.writeFooter(out); %>
